> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoinvoice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update client

> Update a client. Can also be used to update client status by passing `status` in the request body.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/clients.yaml PATCH /clients/{client_id}
openapi: 3.0.3
info:
  title: NeetoInvoice APIs
  version: 2.0.0
servers:
  - description: NeetoInvoice APIs
    url: https://{your-subdomain}.neetoinvoice.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
paths:
  /clients/{client_id}:
    patch:
      tags:
        - Clients
      summary: Update client details
      description: >-
        Update a client. Can also be used to update client status by passing
        `status` in the request body.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/client_id_param'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/client_update_request'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/client_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    client_id_param:
      in: path
      name: client_id
      description: >-
        Unique ID of the client for which you want to retrieve or update
        details. Refer to [Getting the Client
        ID](/getting-started/getting-client-id) section for detailed
        instructions.
      required: true
      schema:
        type: string
      example: a8b90a464cad12b48e45
  schemas:
    client_update_request:
      type: object
      properties:
        client:
          type: object
          properties:
            name:
              type: string
              example: Neeto Client Inc.
              description: New name of the client.
            secondary_name:
              type: string
              example: Subsidiary Alpha
              description: Optional secondary name for the client.
            default_invoice_due_in_days:
              type: string
              example: '30'
              description: >-
                Number of days after which an invoice is due by default for this
                client.
            internal_notes:
              type: string
              example: 'Preferred billing cycle: monthly'
              description: Internal notes about the client.
            currency:
              type: string
              description: Currency code for the client.
              example: USD
            status:
              type: string
              description: Status of the client.
              enum:
                - active
                - archived
              example: active
            address_attributes:
              type: object
              description: Address details associated with the client.
              properties:
                full_address:
                  type: string
                  example: 123 Main St, Springfield, IL 62704, USA
                  description: Full Address of the client.
    client_response:
      type: object
      properties:
        notice_code:
          type: string
        client_id:
          type: string
          format: uuid

````